<?
function get_hosts_count ( $conn, $table_hosts, $active ) {

    $req = "select count(*) as total from ".$table_hosts.($active?(" where active='y'"):(""));

    $result = $conn -> query ( $req );

    $row = $result -> fetchrow ( DB_FETCHMODE_ASSOC );

    return $row['total'];
}

function get_stats_count ( $conn, $table_stats, $active ) {

    $req = "select count(*) as total from ".$table_stats.($active?(" where active='y'"):(""));

    $result = $conn -> query ( $req );

    $row = $result -> fetchrow ( DB_FETCHMODE_ASSOC );

    return $row['total'];
}

function get_logs_count ( $conn, $table_logs, $active, $error, $error_border, $warning_border ) {

    switch ((int)$error) {
        case 0:
            $sub_req = " where 1 ";
        break;                                           
        case 1:                                          
            $sub_req = " where code >= ".$warning_border." and code <".$error_border;
        break;                                           
        case 2:                                          
            $sub_req = " where code >= ".$error_border;  
        break;                                           
    }

    $req = "select count(*) as total from ".$table_logs." ".$sub_req." ".($active?(" and active='y'"):(""));

    $result = $conn -> query ( $req );

    $row = $result -> fetchrow ( DB_FETCHMODE_ASSOC );

    return $row['total'];
}

function get_hosts_count_by_fieldset ( $conn, $table_hosts, $id, $active ) {

    $req = "select count(*) as total from ".$table_hosts." where fieldset=".(int)$id." ".($active?(" and active='y'"):(""));

    $result = $conn -> query ( $req );

    $row = $result -> fetchrow ( DB_FETCHMODE_ASSOC );

    return $row['total'];
}

function get_data_count ( $conn, $table_data, $active ) {

    $req = "select count(*) as total from ".$table_data.($active?(" where active='y'"):(""));

    $result = $conn -> query ( $req );

    $row = $result -> fetchrow ( DB_FETCHMODE_ASSOC );

    return $row['total'];
}

function get_data_count_by_field_id ( $conn, $table_data, $id, $active ) {

    $req = "select count(*) as total from ".$table_data." where fieldset=".(int)$id." ".($active?(" and active='y'"):(""));

    $result = $conn -> query ( $req );

    $row = $result -> fetchrow ( DB_FETCHMODE_ASSOC );

    return $row['total'];
}

function get_hosts_count_by_field_id ( $conn, $table_hosts, $id, $active ) {

    $req = "select count(*) as total from ".$table_hosts." where fieldset=".(int)$id." ".($active?(" and active='y'"):(""));

    $result = $conn -> query ( $req );

    $row = $result -> fetchrow ( DB_FETCHMODE_ASSOC );

    return $row['total'];
}

function get_fields_count ( $conn, $table_fields, $active ) {

    $req = "select count(*) as total from ".$table_fields.($active?(" where active='y'"):(";"));

    $result = $conn -> query ( $req );

    $row = $result -> fetchrow ( DB_FETCHMODE_ASSOC );

    return $row['total'];
}

function set_session_data ( $key, $value ) {
    $_SESSION[$key] = $value;
    return;
}

function unset_session_data ( $key ) {
    unset($_SESSION[$key]);
    return;
}

function get_session_data ( $key ) {
    return $_SESSION[$key];
}

function get_server_data ( $key ) {
    return $_SERVER[$key];
}

function get_get_data ( $key ) {
    return $_GET[$key];
}

function get_files_data ( $key, $value ) {
    return $_FILES[$key][$value];
}

function get_post_data ( $key ) {
    return $_POST[$key];
}

function get_post ( ) {
    return $_POST;
}

function get_get ( ) {
    return $_GET;
}

function get_files ( ) {
    return $_FILES;
}

function get_server ( ) {
    return $_SERVER;
}

function trim_text ($text, $period, $symbols, $announce_length, $add_to_cut_text) {

    $index = 0;
            
    $show_message = $symbols?$symbols:$announce_length;
            
    if(strlen($text) > $show_message) {

    while((substr($text,$show_message+$index,1) != ' ') && (substr($text,$show_message+$index,1) != ',') && (substr($text,$show_message+$index,1) != '\n') && (strlen($text) > $show_message+$index)) {
        $index++;
    }
        $text = substr($text,0,$show_message+$index).((!$period)?$add_to_cut_text:'');

    }

    return $text;
}


function is_in_array ( $array, $item ) {
    if(!is_array($array)) { return false; }
    
    foreach ($array as $i) {
	if($i == $item) { return true;}
    }

return false;
}
function date_parse ($date) {

    $year = sprintf("%02d",(int)substr($date,0,2));
    $month = sprintf("%02d",(int)substr($date,2,2));
    $day = sprintf("%02d",(int)substr($date,4,2));
    $hour = sprintf("%02d",(int)substr($date,6,2));
    $minute = sprintf("%02d",(int)substr($date,8,2));
    $second = sprintf("%02d",(int)substr($date,10,2));
    
    return join(":",array($hour, $minute, $second))." ".join("-",array($year, $month, $day));
    
}

?>
